%define section free
%define jafver  1.0.2

Name:           classpathx-jaf
Version:        1.0
Release:        2jpp_6rh
Epoch:          0
Summary:        GNU JavaBeans(tm) Activation Framework

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.gnu.org/software/classpathx/
Source0:        http://ftp.gnu.org/gnu/classpathx/activation-1.0.tar.gz
Source1:        http://ftp.gnu.org/gnu/classpathx/activation-1.0.tar.gz.sig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#Vendor:         JPackage Project
#Distribution:   JPackage

BuildArch:      noarch
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives
BuildRequires:  jpackage-utils >= 0:1.5.38-1jpp_4rh
BuildRequires:  %{__make}
Provides:       jaf = 0:%{jafver}
Obsoletes:      gnujaf <= 0:1.0-0.rc1.1jpp
# RHEL3 and FC2

%description
JAF provides a means to type data and locate components suitable for
performing various kinds of action on it. It extends the UNIX standard
mime.types and mailcap mechanisms for Java.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       jaf-javadoc = 0:%{jafver}
Obsoletes:      gnujaf-javadoc <= 0:1.0-0.rc1.1jpp
BuildRequires:  java-javadoc

%description    javadoc
%{summary}.


%prep
%setup -q -n activation-%{version}


%build
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
%configure
%{__make}
%{__make} javadoc JAVADOCFLAGS="-link %{_javadocdir}/java"


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cd $RPM_BUILD_ROOT%{_javadir}

# Is is not only the API
mv activation.jar classpathx-jaf-%{jafver}-api.jar
ln -s classpathx-jaf-%{jafver}-api.jar activation.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaf.jar # for %ghost
cd -

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/classpathx-jaf-%{jafver}
cp -pR docs/* $RPM_BUILD_ROOT%{_javadocdir}/classpathx-jaf-%{jafver}
ln -s classpathx-jaf-%{jafver} $RPM_BUILD_ROOT%{_javadocdir}/jaf


%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- classpathx-jaf <= 0:1.0-2jpp_4rh
# Remove file from old non-free packages
rm -f %{_javadir}/jaf.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/jaf %{_javadir}/jaf.jar

%post
/usr/sbin/update-alternatives --install %{_javadir}/jaf.jar jaf %{_javadir}/classpathx-jaf-1.0.2-api.jar 10002
                                                                                
%preun
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove jaf %{_javadir}/classpathx-jaf-1.0.2-api.jar
fi


%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING
%{_javadir}/activation.jar
%{_javadir}/classpathx-jaf*.jar
%ghost %{_javadir}/jaf.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/classpathx-jaf-%{jafver}
%doc %{_javadocdir}/jaf


%changelog
* Tue Nov 15 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-2jpp_6rh
- Handle replacement of jaf alternative

* Tue Nov 15 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-2jpp_5rh
- New alternatives scheme for jaf

* Mon Mar 14 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-2jpp_4rh
- Rebuild

* Mon Mar 14 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-2jpp_3rh
- Remove spurious Obsoletes

* Thu Oct 28 2004 Fernando Nasser <fnasser@redhat.com> 0:1.0-2jpp_1rh
- First Red Hat build

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-2jpp
- Pro forma rebuild with ant-1.6.2 present

* Tue Jun 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-1jpp
- Update to 1.0.

* Fri Jun 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.rc1.2jpp
- Bump release to work around bug in rpm <https://bugzilla.redhat.com/116299>.

* Thu Jun 10 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.rc1.1jpp
- Rename gnujaf to classpathx-jaf.

* Fri May 28 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.rc1.1jpp
- First build.
